diff --git a/shaders/shader.frag b/shaders/shader.frag
index 873f541..d0368a0 100644
--- a/shaders/shader.frag
+++ b/shaders/shader.frag
@@ -4,9 +4,14 @@ layout(binding = 1) uniform sampler2D texSampler;
 
 layout(location = 0) in vec3 fragColor;
 layout(location = 1) in vec2 fragTexCoord;
+layout(location = 2) flat in uint enableTexture;
 
 layout(location = 0) out vec4 outColor;
 
 void main() {
-    outColor = texture(texSampler, fragTexCoord);
+    if (enableTexture > 0) {
+        outColor = texture(texSampler, fragTexCoord);
+    } else {
+        outColor = vec4(fragColor, 1.0);
+    }
 }
